#ifndef __RUGBY_APPLICATION_H__
#define __RUGBY_APPLICATION_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define RUGBY_TYPE_APPLICATION            (rugby_application_get_type ())
#define RUGBY_APPLICATION(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), RUGBY_TYPE_APPLICATION, RugbyApplication))
#define RUGBY_APPLICATION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), RUGBY_TYPE_APPLICATION, RugbyApplicationClass))
#define RUGBY_IS_APPLICATION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), RUGBY_TYPE_APPLICATION))
#define RUGBY_IS_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), RUGBY_TYPE_APPLICATION))
#define RUGBY_APPLICATION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), RUGBY_TYPE_APPLICATION, RugbyApplicationClass))

typedef struct _RugbyApplication        RugbyApplication;
typedef struct _RugbyApplicationClass   RugbyApplicationClass;
typedef struct _RugbyApplicationPrivate RugbyApplicationPrivate;

struct _RugbyApplication
{
	GtkApplication parent;

	/*< private >*/
	RugbyApplicationPrivate *priv;
};

struct _RugbyApplicationClass
{
	GtkApplicationClass parent_class;
};

GType              rugby_application_get_type (void) G_GNUC_CONST;
RugbyApplication * rugby_application_new      (void);

G_END_DECLS

#endif /* __RUGBY_APPLICATION_H__ */
