#ifndef __RUGBY_SCORING_H__
#define __RUGBY_SCORING_H__

#include <glib.h>

G_BEGIN_DECLS

#define TRY_POINTS 7
#define UTRY_POINTS 5
#define KICK_POINTS 3

typedef enum
{
	RUGBY_SCORE_TYPE_TRY,
	RUGBY_SCORE_TYPE_UTRY,
	RUGBY_SCORE_TYPE_KICK
} RugbyScoreType;

GVariant * rugby_scoring_get_possibilities (gint score);
gint       rugby_scoring_get_max_tries     (gint score);
gint       rugby_scoring_get_max_kicks     (gint score);

G_END_DECLS

#endif /*__RUGBY_SCORING_H__ */
